<div class="p-grid p-justify-center p-align-center" *ngIf="showTopics"
    style="padding: 0.5rem 0 0 0;">
    <div class="p-col-12">

        <p-card styleClass="small-topic-card">

            <div class="p-grid">

                <div class="p-col-12" style="margin: 0;">
                    <div class="card-list-title">
                        <em class="pi pi-list"></em>
                        <span>{{ lang.getHotTopics() }}</span>
                    </div>
                </div>

                <div *ngIf="loadingTopics" class="p-col-12 text-center"
                     [style]="{padding: '6rem 0'}">
                    <p-progressSpinner [style]="{width: '2rem', height: '2rem'}"></p-progressSpinner>
                    <div>
                        {{ lang.getLoading() }} {{ lang.getHotTopics().toLowerCase() }}...
                    </div>
                </div>

                <div class="p-col-12" *ngIf="!loadingTopics" style="padding: 0;">
                    <div *ngFor="let topic of topics" class="topic-container">
                        <div class="p-grid p-align-center">
                            <div class="p-col-12 p-col-fixed text-center" [style]="{width: '3rem'}">
                                <img [src]="trustImage(topic?.user?.profilePicture)" alt=""
                                     [style]="{ width: '2rem', height: '2rem' }">
                            </div>
                            <div class="p-col-12 p-xl-9">
                                <a [routerLink]="['/topics/topic', topic?.slug]">
                                    <div class="topic-name">{{ topic?.name }}</div>
                                    <div class="topic-author">
                                        Por {{ topic?.user?.name }},
                                        {{ topic?.createDate | date: lang.getDateFormat() }}
                                    </div>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </p-card>

    </div>
</div>
